As we noted earlier today, Livescribe announced the preview version of the Livescribe+ app which supports a specific range of Android devices.

Is My Android Device Compatible with Livescribe 3?

Given the proliferation of Android flavors and technical specifications that vary across carriers your device may or may not be compatible. This FAQ on the Smartpen website details the current list of compatible devices.

I suggest you follow this two step process:

Does Your Android Device Meet the Minimum Specs?

Livescribe+ for Android requires a mobile device that meets the following minimum requirements.

  • An Android device running Android OS v 4.4.2 (KitKat) or higher
  • Native support for Bluetooth Smart (also known as Bluetooth low energy).

Here’s a tip – focus on “native support for Bluetooth Smart”.

Not Sure If Your Android Device Will Support Livescribe 3?

The best way to check compatibility is via our special compatibility check app called Livescribe Link.

This app will check the specs of your device and give you a simple go/no go result. Seriously, if you’re not sure download this app and confirm compatibility before you purchase a Livescribe 3 smartpen.

Tagged: android, bluetooth smart, livescribe, livescribe 3 for android, livescribe link, smartpen